Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-13816

Ambiguous plugin version warning from maven build.

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.0.0-alpha2
    • Fix Version/s: 3.0.0-alpha2
    • Component/s: None
    • Labels:
      None

      Description

      When we try to build Hadoop with maven, the below warning is shown.

      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.apache.hadoop:hadoop-rumen:jar:3.0.0-alpha2-SNAPSHOT
      [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: com.fasterxml.jackson.core:jackson-databind:jar -> duplicate declaration of version (?) @ line 102, column 17
      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.apache.hadoop:hadoop-build-tools:jar:3.0.0-alpha2-SNAPSHOT
      [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-remote-resources-plugin is missing. @ org.apache.hadoop:hadoop-build-tools:[unknown-version], /Users/sasakikai/dev/hadoop/hadoop-build-tools/pom.xml, line 80, column 15
      [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-resources-plugin is missing. @ org.apache.hadoop:hadoop-build-tools:[unknown-version], /Users/sasakikai/dev/hadoop/hadoop-build-tools/pom.xml, line 54, column 15
      

      It is required to

      • remove duplicated definition jackson-databind
      • specify the version maven-resource-plugin and maven-remote-resources-plugin.

        Attachments

          Activity

            People

            • Assignee:
              lewuathe Kai Sasaki
              Reporter:
              lewuathe Kai Sasaki
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: